Subject: Re: bug#64682: [PATCH] eglot.el: Avoid premature bailout in eglot-imenu

From: João Távora <[email-masked]>
Date: Mon, 17 Jul 2023 14:38:37 +0100

Thanks.

Pushed to master as 7446a8c34e2b793df52dbf56b630e20f8c10568c,
and closing.

João

On Mon, Jul 17, 2023 at 1:17 PM Brian Leung <[email-masked]> wrote:
>
> Tags: patch
>
> On current master branch, running M-: (eglot-imenu) in buffers
> using LSP servers supporting the textDocument/documentSymbol
> request always results in an early exit since the server
> capability is NOT named "textDocument/documentSymbol", but rather
> "documentSymbolProvider".
>
> This patch corrects that, so that now (eglot-imenu) works as
> expected.
>
> In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit,
> cairo
> version 1.16.0, Xaw3d scroll bars)
> Repository revision: c5fa58cbc4a33a0a65494b9ab2e35d4f30ab849b
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version
> 11.0.12101008
> System Description: NixOS 23.11 (Tapir)
>
> Configured using:
>  'configure
>  --prefix=/nix/store/rl8pgvclyashprbz6xr84x6l0n9q37l2-emacs-git-20230715.0
>  --disable-build-details --with-modules --with-x-toolkit=lucid
>  --with-xft --with-cairo --with-native-compilation
>  --with-tree-sitter'

-- 
João Távora